openSUSE Security Update : libgdiplus0 (openSUSE-SU-2010:0665-1)

This script is Copyright (C) 2010-2014 Tenable Network Security, Inc.


Synopsis :

The remote openSUSE host is missing a security update.

Description :

This update fixes three integer overflows found by Secunia Research
member Stefan Cornelius that could possibly be exploited to execute
arbitrary code :

- 'gdip_load_tiff_image()' by processing specially crafted
TIFF images

- 'gdip_load_jpeg_image_internal()' by processing
specially crafted JPEG images

- 'gdip_read_bmp_image()'by processing specially crafted
BMP image (CVE-2010-1526)

See also :

http://lists.opensuse.org/opensuse-updates/2010-09/msg00046.html
https://bugzilla.novell.com/show_bug.cgi?id=630756

Solution :

Update the affected libgdiplus0 package.

Risk factor :

Medium / CVSS Base Score : 6.8
(CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P)

Family: SuSE Local Security Checks

Nessus Plugin ID: 49672 ()

Bugtraq ID:

CVE ID: CVE-2010-1526

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now